Summary:	A JSON implementation in C
Summary(pl.UTF-8):	Implementacja JSON w C
Name:		json-c
Version:	0.13.1
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://s3.amazonaws.com/json-c_releases/releases/index.html # with AJAX (requires JavaScript)
# XML data with links (relative to https://s3.amazonaws.com/json-c_releases/) in https://s3.amazonaws.com/json-c_releases (no "/" at the end!)
Source0:	https://s3.amazonaws.com/json-c_releases/releases/%{name}-%{version}.tar.gz
# Source0-md5:	04969ad59cc37bddd83741a08b98f350
URL:		https://github.com/json-c/json-c/wiki
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%description -l pl.UTF-8
JSON-C implementuje model obiektów ze zliczaniem odwołań, pozwalający
łatwo konstruować obiekty JSON w C, wypisywać je w postaci łańcuchów w
formacie JSON i analizować łańcuchy w formacie JSON tworząc z powrotem
reprezentacje obiektów JSON w C.

%package devel
Summary:	Header files for the json-c library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki json-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for the json-c library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki json-c.

%package static
Summary:	Static json-c library
Summary(pl.UTF-8):	Statyczna biblioteka json-c
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static json-c library.

%description static -l pl.UTF-8
Statyczna biblioteka json-c.

%prep
%setup -q

%build
# avoid "json_tokener.c:355:6: error: variable 'size' set but not used [-Werror=unused-but-set-variable]"
CFLAGS="%{rpmcflags} -Wno-unused-but-set-variable"
%configure \
	--disable-silent-rules
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%pretrans devel
# transition from 0.11-2
[ ! -L %{_includedir}/json-c ] || rm -f %{_includedir}/json-c
# transition from <= 0.10 and 0.11-2
if [ -d %{_includedir}/json -a ! -d %{_includedir}/json-c ]; then
	mv -f %{_includedir}/json %{_includedir}/json-c
	ln -sf json-c %{_includedir}/json
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README README.html
%attr(755,root,root) %{_libdir}/libjson-c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjson-c.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjson-c.so
%{_includedir}/json-c
%{_pkgconfigdir}/json-c.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libjson-c.a
%changelog
* Mon May 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/json-c.git;a=log;h=master

* Mon May 07 2018 Jakub Bogusz <qboosh@pld-linux.org> c485846
- mention XML data URL

* Thu Apr 26 2018 Jakub Bogusz <qboosh@pld-linux.org> bfee677
- updated to 0.13.1 (note: new soname)

* Tue Nov 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 1466ae7
- updated to 0.12.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0d77395
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 814dcba
- updated to 0.12 (note: libjson compatibility stubs have been dropped)

* Fri Dec 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 6cafbf5
- switch to /usr/include/json-c dir must be done at some moment anyway
  (/usr/include/json will be dropped), so do it now (using pretrans script)
- handle -ljson compatibility by symlink to libjson-c.so (stub libjson doesn't work with PLD rpmldflags)
- release 3

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> f8481a7
- reverse symlink to dir to avoid rpm upgrade issues
- rel 2

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> 2233c50
- updated files
- rel 1

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> 040cc79
- started update to 0.11, new URLs

* Mon Oct 15 2012 Jan Rękorajski <baggins@pld-linux.org> 43b896a
- rel 2

* Wed Oct 12 2011 Jakub Bogusz <qboosh@pld-linux.org> d42ebe8
- pl
- revised docs
- License is MIT

* Tue Apr 13 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 990e8f2
- initial

